Pod::Spec.new do |s|
  s.name             = 'WebIdPluginCore'
  s.version          = '12.0.0-SNAPSHOT'
  s.summary          = 'The WebID plugin core for iOS. Requires the WebIdIosSDK!'

  s.homepage         = 'https://webid-solutions.de/'
  s.license          = { :type => 'Commercial', :text => 'Copyright (C) 2013 - 2024 WebID  Solutions GmbH | www.webid-solutions.de. All Rights Reserved' }
  s.author           = { 'WebID Solutions GmbH' => 'it-service@webid-solutions.de' }
  
  s.platform         = :ios
  s.source           = { :http => 'https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdPluginCore/12.0.0/WebIdPluginCore.framework-v12.0.0-SNAPSHOT-256.zip', :sha256 => '2254b1b99ed14bd67095e724555507c67137b81a6b707b13860705fe2b51e9d3' }
  s.swift_versions   = ['5.5']
  
  s.frameworks       = 'UIKit'

  s.ios.deployment_target = '13.0'
  s.ios.vendored_frameworks = 'WebIdPluginCore.xcframework'

  s.dependency "WebIdUiKitComponents", "8.0.0-SNAPSHOT" #branch:redesign-v4-snapshots
  s.dependency "WebIdIosSdk", "~> 11.0.0"
end
